Page1DisplayLevelIntro:

	ld a, (AlreadyDisplayed)
	or a
	ret nz


;HL is the text to display

	xor a
	ld (AtBeginning), a	;If text is at the beginning,
				;do go further



DisplayIntroText:

	ld hl, plotsscreen
	ld (hl), 0
	ld de, plotsscreen+1
	ld bc, 767
	ldir

	ld b, 8

DisplayRowOfText:

	push bc
	ld a, b
	neg
	add a, 8
	add a, a
	add a, a
	add a, a
	ld h, a
	ld l, 0
	ld (penCol), hl


	ld hl, (TextToDisplay)
	push hl

	add a, a

	ld d, 0
	ld e, a
	add hl, de


	ld a, (hl)
	or a
	jr z, DoneScreenOfText
	dec a
	jr z, DoneScreenOfText

	ld de, OP1
	ld bc, 16
	ldir
	xor a
	ld (de), a
	
	ld hl, OP1
	ld (TextToDisplay), hl

	call Page1PutTextZeroEnd

	pop hl
	ld (TextToDisplay), hl

	pop bc
	djnz DisplayRowOfText
	jr DoneScreenOfTextNoPopBC

DoneScreenOfText:
	pop hl
	pop bc

DoneScreenOfTextNoPopBC:

	call Page1SafeCopy
_
	B_CALL _GetKey
	di

	cp kDown
	jr z, ScrollTextDown

	cp kUp
	jr z, ScrollTextUp

	cp kEnter
	jr z, NextText

	cp kClear
	ret z
	jr -_

ScrollTextUp:

	ld a, (AtBeginning)
	or a
	jr z, DisplayIntroText	;Can't scroll up anymore
	dec a
	ld (AtBeginning), a

	ld hl, (TextToDisplay)
	ld de, -16
	add hl, de
	ld (TextTODisplay), hl
	jr DisplayIntroText

NextText:

	xor a
	ld (AtBeginning), a

	ld hl, (TextToDisplay)
_
	ld a, (hl)
	inc hl
	or a
	jr z, GoToNextText
	dec a
	ret z	;No more text for this level
	jr -_

GoToNextText

	ld (TextToDisplay), hl
	jp DisplayIntroText

ScrollTextDown:

;Can we scroll down anymore?

	ld hl, (TextToDisplay)
	xor a
	ld bc, 128
	cpir
	jp z, DisplayIntroText	;Can't scroll down anymore
	ld hl, (TextToDisplay)
	inc a
	ld bc, 128
	cpir
	jp z, DisplayIntroText

	ld hl, (TextToDisplay)
	ld de, 16
	add hl, de
	ld (TextToDisplay), hl
	ld hl, AtBeginning
	inc (hl)
	jp DisplayIntroText




Level1Intro:

.db "IT_HAS_BEEN_15__"
.db "YEARS_SINCE_YOUR"
.db "LAST_BATTLE_WITH"
.db "THE_GRUZZLES]___"
.db "NO_LONGER_THE___"
.db "YOUNG_CHILD_WHO_"
.db "SAVED_THE_WORLD^"
.db "YOU_ARE_NOW_____"
.db "SERVING_IN_THE__"
.db "MILITARY_AS_A___"
.db "SPY^_ONE_OF_THE_"
.db "BEST_THERE_IS]__"
.db 0

.db "YOU_THOUGHT_THAT"
.db "THE_GRUZZLES____"
.db "WERE_LIVING_A___"
.db "HAPPY_LIFE_AFTER"
.db "THEY_LEARNED_HOW"
.db "TO_READ]__BUT___"
.db "THEY@VE_READ_TOO"
.db "MANY_BOOKS_ABOUT"
.db "WORLD_CONQUEST^_"
.db "AND_NOW_THEY____"
.db "WANT_TO_CONQUER_"
.db "AND_RULE_EARTH]_"
.db "FURTHERMORE_THEY"
.db "HAVE_GOTTEN_MORE"
.db "INTELLEGENT^_AND"
.db "HAVE_LEARNED____"
.db "HOW_TO_CLOAK____"
.db "THEMSELVES]__IN_"
.db "ADDITION_THEY@VE"
.db "EVOLVED_AN______"
.db "ARMORED_SKIN^___"
.db "MAKING_THEM_____"
.db "TOUGH_TO_KILL]__"

.db "TO_CONQUER_EARTH"
.db "THEY_DECIDE_TO__"
.db "DO_WHAT_THEY@RE_"
.db "BEST_AT_[[______"
.db "________________"
.db "STEALING_WORDS_"
.db 0

.db "THEY_DECIDE_TO__"
.db "STEAL_WORDS_FROM"
.db "LANGUAGE_BOOKS__"
.db "SO_THAT_PEOPLE__"
.db "WON@T_BE_ABLE_TO"
.db "COMMUNICATE_WITH"
.db "EACH_OTHER_IN___"
.db "OTHER_LANGUAGES]"
.db "COMBINED_WITH___"
.db "THEIR_CLOAKS_AND"
.db "TOUGH_ARMOR^____"
.db "THEY_ARE_CAUSING"
.db "CHAOS_ON_EARTH]_"
.db "THEY_WILL_HAVE__"
.db "COMPLETE_CONTROL"
.db "OF_EARTH_IN_10__"
.db "YEARS]__________"
.db 0

.db "ONLY_YOU_POSSESS"
.db "THE_MEANS_TO____"
.db "PENETRATE_THE___"
.db "GRUZZLE@S_______"
.db "INVISIBILITY]_IN"
.db "ADDITION^_NO_ONE"
.db "BELIEVES_YOUR___"
.db "STORY_[_ALTHOUGH"
.db "THEY_SEE_THE____"
.db "MESS_THAT_IS____"
.db "BEING_MADE^_THEY"
.db "BELIEVE_YOU_TO__"
.db "BE_INSANE^______"
.db "HAVING_NEVER____"
.db "SEEN_ANY________"
.db "GRUZZLES_BEFORE]"
.db 0

.db "WHAT_ABOUT_YOUR_"
.db "FRIEND_BENNY",92,"___"
.db "FROM_15_YEARS___"
.db "AGO",92,"__HE@S______"
.db "RETIRED_AND_____"
.db "ENJOYING_LIFE_IN"
.db "HAWAII]__HE_____"
.db "DOESN@T_GIVE_A__"
.db "HOOT_ABOUT_WHAT_"
.db "IS_HAPPENING]___"
.db 0


.db "SO_NOW_YOU_HAVE_"
.db "TO_TAKE_MATTERS_"
.db "INTO_YOUR_OWN___"
.db "HANDS_BY_KILLING"
.db "THE_GRUZZLES_AND"
.db "RESTORING_THE___"
.db "WORDS_AND_THEIR_"
.db "TRANSLATIONS]___"
.db "GRABBING________"
.db "A_PORTABLE_NUKE_"
.db "LAUNCHER^_YOU___"
.db "SET_OUT_TO_SAVE_"
.db "THE_WORLD_ONCE__"
.db "AND_FOR_ALL]]]__"

.db 1

Level8Intro:



.db "THE_MILITARY^___"
.db "STILL_NOT_______"
.db "CONVINCED_THAT__"
.db "YOU_ARE_TELLING_"
.db "THE_TRUTH^_NOW__"
.db "CONSIDERS_YOU_TO"
.db "BE_A_THREAT_AND_"
.db "A_TRAITOR]______"
.db "YOU_WILL_NEED_TO"
.db "WATCH_YOUR_BACK_"
.db "AS_YOU_CONTINUE_"
.db "YOUR_QUEST]__IF_"
.db "YOU_ARE_ARRESTED"
.db "ALL_OF_EARTH____"
.db "WILL_BE_DOOMED]_"
.db 1

Level18Intro:

.db "YOU_RECOVER_____"
.db "INFORMATION_FROM"
.db "THE_LAB_THAT____"
.db "TELLS_YOU_MORE__"
.db "ABOUT_THE_______"
.db "GRUZZLES_[[_AND_"
.db "YOUR_WORST_FEARS"
.db "HAVE_COME_TRUE]_"
.db "THEY_ARE________"
.db "OPERATING_ON____"
.db "ANOTHER_PLANET^_"
.db "JEROSHIMA]__TO__"
.db "GET_THERE^_YOU__"
.db "WILL_HAVE_TO____"
.db "HIJACK_A_SPACE__"
.db "SHIP]__AND_TO___"
.db "MAKE_MATTERS____"
.db "WORSE^_YOU_HAVE_"
.db "TO_INFILTRATE___"
.db "A_SECRET________"
.db "UNDERWATER______"
.db "MILITARY_BASE_TO"
.db "GET_THERE]______"
.db "HESISTANTLY^_YOU"
.db "ENTER_THE_LION@S"
.db "DEN^_REMEMBERING"
.db "THAT_YOU_ARE____"
.db "EARTH@S_ONLY____"
.db "HOPE]___________"

.db 1

Level21Intro:



.db "TO_YOUR_LUCK____"
.db "THE_GOVERNMENT__"
.db "FOUND_ABSOLUTE__"
.db "PROOF_THAT_THE__"
.db "GRUZZLES_EXIST__"
.db "AND_ARE_TAKING__"
.db "OVER_EARTH]_WITH"
.db "SINCEREST_______"
.db "APOLOGIES^_THE__"
.db "MILITARY_NOW____"
.db "PROMISES_TO_GIVE"
.db "YOU_WHATEVER_AID"
.db "YOU_NEED^_______"
.db "INCLUDING_A_____"
.db "SPACE_SHIP]__NOW"
.db "THAT_YOU_CAN____"
.db "OPERATE_WITHOUT_"
.db "FEAR_OF_BEING___"
.db "ARRESTED^_______"
.db "IT@S_OFF_TO_____"
.db "JEROSHIMA_______"

.db 1

Level25Intro:


.db "THERE_IT_IS_[[__"
.db "JEROSHIMA]_LAVA^"
.db "VOLCANOES^_AND__"
.db "THE_SECRET_HQ_OF"
.db "THE_GRUZZLES]___"
.db 0

.db "WELL^_IT@S_ALL__"
.db "OR_NOTHING_FROM_"
.db "THIS_POINT]__YOU"
.db "HAVE_MADE_IT____"
.db "THIS_FAR]]]WITH_"
.db "ALL_OF_EARTH____"
.db "COUNTING_ON_YOU^"
.db "YOU_DARE_NOT____"
.db "DISAPPOINT_THEM_"
.db 1

Level30Intro:

.db "YOU@VE_DONE_IT__"
.db "________________"
.db "YOU_HAVE_KILLED_"
.db "THE_GRUZZLE_OF__"
.db "ALL_GRUZZLES^___"
.db "AND_NOW_THE_____"
.db "THREAT_IS_OVER]_"
.db "THE_GRUZZLES____"
.db "SURRENDER^_AND__"
.db "EARTH_IS_SAFE___"
.db "ONCE_AGAIN]_____"
.db 0

.db "UPON_EXITING_THE"
.db "VOLCANO^_YOU_CAN"
.db "SCARCELY_BELIEVE"
.db "YOUR_EYES]__FOR_"
.db "THERE_IN_FRONT__"
.db "OF_YOU_LIES_[[__"
.db "PARADISE________" 
.db 0

.db "A_REGION_OF_THE_"
.db "PLANET_THAT_IS__"
.db "FAR_MORE________"
.db "BEAUTIFUL_THAN__"
.db "ANY_REGION_ON___"
.db "EARTH]__IT_IS_A_"
.db "REGION_THAT_WAS_"
.db "MAINTAINED_BY___"
.db "THE_GRUZZLES^___"
.db "AND_NOW_NOBODY__"
.db "LIVES_THERE]____"
.db 0

.db "AS_A_REWARD_FOR_"
.db "ALL_YOUR_SERVICE"
.db "THE_PRESIDENT___"
.db "HAS_DECREED_THAT"
.db "THE_LAND_WILL_BE"
.db "YOUR_SOLE_______"
.db "PROPERTY_[[_TO__"
.db "LIVE_ON^_TO_____"
.db "SHARE^_TO_DO____"
.db "WITH_AS_YOU_____"
.db "WISH]__AND_EVEN_"
.db "BETTER^_THERE_IS"
.db "A_PORTAL_TO_____"
.db "EARTH^_SO_YOU___"
.db "CAN_VISIT_______"
.db "ANYTIME_YOU_WANT"
.db 0

.db "AND_YOU_INTEND__"
.db "TO_ENJOY________"
.db "YOURSELF]__BUT__"
.db "YOU_FIND_THERE__"
.db "ARE_STILL_SEVEN_"
.db "WORDS_LEFT_TO___"
.db "RESTORE]__AFTER_"
.db "ALL_THIS_TIME^__"
.db "YOU_DECIDE_IT@S_"
.db "WORTH_IT_TO_DO__"
.db "ONE_LAST_FAVOR__"
.db "FOR_EARTH_BEFORE"
.db "YOU_RETIRE_IN___"
.db "THE_LAND_OF_YOUR"
.db "DREAMS]_________"
.db 1


Level31Intro:

.db "IT@S_OVER]__ALL_"
.db "WORDS_HAVE_BEEN_"
.db "RESTORED^_AND___"
.db "PEOPLE_CAN_AGAIN"
.db "LEARN_TO________"
.db "COMMUNICATE_WITH"
.db "EACH_OTHER]_____"
.db 0

.db "NOW_ENJOY_______"
.db "YOURSELF]__YOU__"
.db "HAVE_EARNED_IT]_"

.db 1




Page1SafeCopy:

	               

	ld hl,PlotSScreen  
	ld d, 0
	ld c,$10

setrow1:
	in a, ($10)
	bit 7, a
	jr nz,setrow1

	ld a, $80
	out ($10),a

	ld a,$20
col1:
	in e,(c)
	bit 7, e
	jr nz, col1

	out ($10),a

	push af
	ld b,64
row1:
	ld a,(hl)
rowwait1:
	in e,(c)
	bit 7, e
	jr nz, rowwait1
	out ($11), a
	ld e, 12
	add hl,de
	djnz row1
	pop af
	dec h
	dec h
	dec h
	inc hl
	inc a
	cp $2c
	jp nz,col1
	ret
